Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class InvalidInputException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.mapreduce.lib.input.InvalidInputException

All Implemented Interfaces:
  Serializable

    public class InvalidInputException

extends IOException

This class wraps a list of problems with the input, so that the user can get a list of problems together instead of finding and fixing them one by one.

See Also:
  Serialized Form

Constructor Summary
`InvalidInputException(List<IOException> probs)` Create the exception with the given list.

Method Summary
`String` | `getMessage()` Get a summary message of the problems found.
`List<IOException>` | `getProblems()` Get the complete list of the problems reported.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidInputException

    public InvalidInputException(List<IOException> probs)

  Create the exception with the given list.

  Parameters:
    `probs` - the list of problems to report. this list is not copied.

Method Detail

### getProblems

    public List<IOException> getProblems()

  Get the complete list of the problems reported.

  Returns:
    the list of problems, which must not be modified

### getMessage

    public String getMessage()

  Get a summary message of the problems found.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the concatenated messages from all of the problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation